com.hazelcast.com.fasterxml.jackson.core.io

## Class UTF8Writer

- java.lang.Object
- - java.io.Writer
  - - com.hazelcast.com.fasterxml.jackson.core.io.UTF8Writer

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public final class UTF8Writer
      extends Writer

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTF8Writer(IOContext ctxt, OutputStream out)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Writer` | `append(char c)`
    `void` | `close()`
    `protected int` | `convertSurrogate(int secondPart)` Method called to calculate UTF codepoint, from a surrogate pair.
    `void` | `flush()`
    `protected static void` | `illegalSurrogate(int code)`
    `protected static String` | `illegalSurrogateDesc(int code)`
    `void` | `write(char[] cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UTF8Writer

          public UTF8Writer(IOContext ctxt,
                            OutputStream out)

  - ### Method Detail

    - #### append

          public Writer append(char c)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char[] cbuf)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### convertSurrogate

          protected int convertSurrogate(int secondPart)
                                  throws IOException

      Method called to calculate UTF codepoint, from a surrogate pair.
      Throws:
        `IOException`

    - #### illegalSurrogate

          protected static void illegalSurrogate(int code)
                                          throws IOException

      Throws:
        `IOException`

    - #### illegalSurrogateDesc

          protected static String illegalSurrogateDesc(int code)

Copyright © 2019. All rights reserved.